> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt

# AppendToCallList

POST https://api.voximplant.com/platform_api/AppendToCallList
Content-Type: multipart/form-data

Appends a new task to the existing call list.

This method accepts CSV files with custom delimiters, such a commas (,), semicolons (;) and other. To specify a delimiter, pass it to the **delimiter** parameter.

Allowed roles: `Owner`, `Admin`, `Developer`, `Call list manager`.

Reference: https://docs.voximplant.ai/api-reference/management-api/reference/call-lists/append-to-call-list

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: management-api
  version: 1.0.0
paths:
  /AppendToCallList:
    post:
      operationId: append-to-call-list
      summary: AppendToCallList
      description: >-
        Appends a new task to the existing call list.


        This method accepts CSV files with custom delimiters, such a commas (,),
        semicolons (;) and other. To specify a delimiter, pass it to the
        **delimiter** parameter.


        Allowed roles: `Owner`, `Admin`, `Developer`, `Call list manager`.
      tags:
        - subpackage_callLists
      parameters:
        - name: list_id
          in: query
          description: Call list ID. **Required** unless **list_name** is provided.
          required: false
          schema:
            type: integer
        - name: encoding
          in: query
          description: Encoding file. The default value is UTF-8
          required: false
          schema:
            type: string
        - name: escape
          in: query
          description: Escape character for parsing csv
          required: false
          schema:
            type: string
        - name: delimiter
          in: query
          description: Separator values. The default value is ';'
          required: false
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            Voximplant Management API uses signed JWT tokens generated from your
            service-account private key. Pass the token in the `Authorization`
            header as a Bearer value:


            ```

            Authorization: Bearer $VOXIMPLANT_TOKEN

            ```


            See [Authorization](/api-reference/management-api/authorization) for
            ready-to-copy snippets in bash, Python, Node.js and Go that turn
            your `credentials.json` into a token.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/call-lists_AppendToCallList_Response_200'
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file_content:
                  type: string
                  format: binary
                  description: Send as the request body or multiform
              required:
                - file_content
servers:
  - url: https://api.voximplant.com/platform_api
components:
  schemas:
    AppendToCallListPostResponsesContentApplicationJsonSchemaBatchId:
      oneOf:
        - type: integer
        - type: string
      description: Batch UUID
      title: AppendToCallListPostResponsesContentApplicationJsonSchemaBatchId
    call-lists_AppendToCallList_Response_200:
      type: object
      properties:
        result:
          type: boolean
          description: Whether the request completed successfully
        count:
          type: integer
          description: Number of stored records
        list_id:
          type: integer
          description: List ID
        batch_id:
          $ref: >-
            #/components/schemas/AppendToCallListPostResponsesContentApplicationJsonSchemaBatchId
          description: Batch UUID
      title: call-lists_AppendToCallList_Response_200
  securitySchemes:
    JwtAuth:
      type: http
      scheme: bearer
      description: >-
        Voximplant Management API uses signed JWT tokens generated from your
        service-account private key. Pass the token in the `Authorization`
        header as a Bearer value:


        ```

        Authorization: Bearer $VOXIMPLANT_TOKEN

        ```


        See [Authorization](/api-reference/management-api/authorization) for
        ready-to-copy snippets in bash, Python, Node.js and Go that turn your
        `credentials.json` into a token.

```

## SDK Code Examples

```python Example 1
import requests

url = "https://api.voximplant.com/platform_api/AppendToCallList"

files = { "file_content": "open('contacts_upload.csv', 'rb')" }
headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, files=files, headers=headers)

print(response.json())
```

```javascript Example 1
const url = 'https://api.voximplant.com/platform_api/AppendToCallList';
const form = new FormData();
form.append('file_content', 'contacts_upload.csv');

const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

options.body = form;

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example 1
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.voximplant.com/platform_api/AppendToCallList"

	payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file_content\"; filename=\"contacts_upload.csv\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001--\r\n")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example 1
require 'uri'
require 'net/http'

url = URI("https://api.voximplant.com/platform_api/AppendToCallList")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request.body = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file_content\"; filename=\"contacts_upload.csv\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001--\r\n"

response = http.request(request)
puts response.read_body
```

```java Example 1
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.voximplant.com/platform_api/AppendToCallList")
  .header("Authorization", "Bearer <token>")
  .body("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file_content\"; filename=\"contacts_upload.csv\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001--\r\n")
  .asString();
```

```php Example 1
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.voximplant.com/platform_api/AppendToCallList', [
  'multipart' => [
    [
        'name' => 'file_content',
        'filename' => 'contacts_upload.csv',
        'contents' => null
    ]
  ]
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Example 1
using RestSharp;

var client = new RestClient("https://api.voximplant.com/platform_api/AppendToCallList");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddParameter("undefined", "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file_content\"; filename=\"contacts_upload.csv\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001--\r\n", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Example 1
import Foundation

let headers = ["Authorization": "Bearer <token>"]
let parameters = [
  [
    "name": "file_content",
    "fileName": "contacts_upload.csv"
  ]
]

let boundary = "---011000010111000001101001"

var body = ""
var error: NSError? = nil
for param in parameters {
  let paramName = param["name"]!
  body += "--\(boundary)\r\n"
  body += "Content-Disposition:form-data; name=\"\(paramName)\""
  if let filename = param["fileName"] {
    let contentType = param["content-type"]!
    let fileContent = String(contentsOfFile: filename, encoding: String.Encoding.utf8)
    if (error != nil) {
      print(error as Any)
    }
    body += "; filename=\"\(filename)\"\r\n"
    body += "Content-Type: \(contentType)\r\n\r\n"
    body += fileContent
  } else if let paramValue = param["value"] {
    body += "\r\n\r\n\(paramValue)"
  }
}

let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/AppendToCallList")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```